summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAmy Liffey <amynka@gentoo.org>2019-05-03 13:43:43 +0200
committerAmy Liffey <amynka@gentoo.org>2019-05-03 13:52:21 +0200
commitbe705aef09e7a6868a05a48aae30a08e283002eb (patch)
tree9a99c9be55e996bf4c69f593b5616d158f91f344
parentnet-dns/libidn2: Disable GCC warnings/silent rules (diff)
downloadgentoo-be705aef09e7a6868a05a48aae30a08e283002eb.tar.gz
gentoo-be705aef09e7a6868a05a48aae30a08e283002eb.tar.bz2
gentoo-be705aef09e7a6868a05a48aae30a08e283002eb.zip
app-editors/nedit: version bump 5.7
Closes: https://bugs.gentoo.org/675706 Signed-off-by: Amy Liffey <amynka@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
-rw-r--r--app-editors/nedit/Manifest1
-rw-r--r--app-editors/nedit/files/nedit-5.7-doc.patch13
-rw-r--r--app-editors/nedit/files/nedit-5.7-ldflags.patch17
-rw-r--r--app-editors/nedit/nedit-5.7.ebuild80
4 files changed, 111 insertions, 0 deletions
diff --git a/app-editors/nedit/Manifest b/app-editors/nedit/Manifest
index 373266df0be..305b7346869 100644
--- a/app-editors/nedit/Manifest
+++ b/app-editors/nedit/Manifest
@@ -1,2 +1,3 @@
DIST nedit-5.6a-src.tar.gz 1353454 BLAKE2B e3e8ed86b12a4c3673513b65c7ca08c11b22dcac4816287be680f112c5c8de0c59510f26605a7f288846fb4bb8c28dd958c534a52450a905f7639712d832e69a SHA512 4d4dcd661f67a4a40549f26774c0ffb90f9059d2e06b0db2becef6848273fe76b7b68fae42319c0badd3c637d96c8dae129b4d0dfa7adccc00ee76f9366e27d0
+DIST nedit-5.7-src.tar.gz 1344754 BLAKE2B 595b652050569cc480e29931088d8780a1d815b3e5d79529bf60a83142f9ce5e11cd5b59bead42baf032b8530388081f10f054230b0bd181ba59d9179b59c49a SHA512 cf242d2f8eea4c78649dbeb741f545a3dc8ffaf5bb36239794a4b2635420e5445fa1c77472add79c05ec081d71a0b9df4431f48db365a71692e43869fd4e7932
DIST nedit.png.xz 14000 BLAKE2B dd50757a52fe3a2c57490cd0783f323877dc23733acc28b2c303d73724b6b66ed73dc819827ea52b96410fd7264a991040f00d609070bd87945d406328567ca0 SHA512 69d5dbea98a5b4065e73cc5c846125c5059e3a50ee1fa3ec4ef99f8f868cf3729ffe73510729534289a91d1a54683b84b6a37bc640c60205be709732dfcb01e3
diff --git a/app-editors/nedit/files/nedit-5.7-doc.patch b/app-editors/nedit/files/nedit-5.7-doc.patch
new file mode 100644
index 00000000000..fceb9e1773c
--- /dev/null
+++ b/app-editors/nedit/files/nedit-5.7-doc.patch
@@ -0,0 +1,13 @@
+--- a/doc/Makefile 2019-05-03 13:18:33.343246393 +0200
++++ b/doc/Makefile 2019-05-03 13:19:33.110902639 +0200
+@@ -48,8 +48,8 @@
+ ../source/help_topic.h ../source/help_data.h: .version help.etx setext
+ @ echo "Creating NEdit help code `cat .version`"
+ @ ./setext -m -v version="`cat .version`" help.etx
+- @ mv -f help_topic.h ../source
+- @ mv -f help_data.h ../source
++ @ cp -f help_topic.h ../source
++ @ cp -f help_data.h ../source
+
+ nedit.html: .version help.etx setext
+ @ echo "Creating NEdit HTML documentation..."
diff --git a/app-editors/nedit/files/nedit-5.7-ldflags.patch b/app-editors/nedit/files/nedit-5.7-ldflags.patch
new file mode 100644
index 00000000000..b529d3327dd
--- /dev/null
+++ b/app-editors/nedit/files/nedit-5.7-ldflags.patch
@@ -0,0 +1,17 @@
+--- a/source/Makefile.common 2019-01-19 14:27:14.927734607 +0100
++++ b/source/Makefile.common 2019-01-19 14:28:46.186729890 +0100
+@@ -20,12 +20,12 @@
+ # we only want natural rebuilds to regenerate the link date.
+ nedit: $(OBJS) ../util/libNUtil.a $(XMLLIB) $(XLTLIB)
+ $(CC) $(CFLAGS) -c linkdate.c -o linkdate.o
+- $(CC) $(CFLAGS) $(OBJS) linkdate.o $(XMLLIB) \
++ $(CC) $(CFLAGS) $(LDFLAGS) $(OBJS) linkdate.o $(XMLLIB) \
+ $(XLTLIB) ../util/libNUtil.a $(LIBS) -o $@
+
+ # Note LIBS isn't quite right here; it links unnecessarily against Motif
+ nc: nc.o server_common.o ../util/libNUtil.a
+- $(CC) $(CFLAGS) nc.o server_common.o ../util/libNUtil.a $(LIBS) -o $@
++ $(CC) $(CFLAGS) $(LDFLAGS) nc.o server_common.o ../util/libNUtil.a $(LIBS) -o $@
+
+ help.o: help.c
+ $(CC) $(CFLAGS) $(BIGGER_STRINGS) -c help.c -o $@
diff --git a/app-editors/nedit/nedit-5.7.ebuild b/app-editors/nedit/nedit-5.7.ebuild
new file mode 100644
index 00000000000..ba195aaf484
--- /dev/null
+++ b/app-editors/nedit/nedit-5.7.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop toolchain-funcs
+
+DESCRIPTION="Multi-purpose text editor for the X Window System"
+HOMEPAGE="https://sourceforge.net/projects/nedit"
+SRC_URI="
+ https://downloads.sourceforge.net/project/${PN}/${PN}-source/${P}-src.tar.gz
+ https://dev.gentoo.org/~jlec/distfiles/${PN}.png.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~mips ~ppc ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="doc"
+
+RDEPEND=">=x11-libs/motif-2.3:0
+ x11-libs/libXt
+ x11-libs/libX11"
+DEPEND="${RDEPEND}
+ || ( dev-util/yacc sys-devel/bison )
+ dev-lang/perl"
+
+S="${WORKDIR}/${PN}-${PV}"
+
+PATCHES=(
+ "${FILESDIR}/${P}-ldflags.patch"
+ "${FILESDIR}/${PN}-5.6-security.patch"
+ "${FILESDIR}/${P}-doc.patch"
+)
+
+
+src_prepare() {
+ #respecting LDFLAGS, bug #208189
+ default
+ sed \
+ -e "s:bin/:${EPREFIX}/bin/:g" \
+ -i Makefile source/preferences.c source/help_data.h source/nedit.c Xlt/Makefile || die
+ sed \
+ -e "s:nc:neditc:g" -i doc/nc.pod || die
+ sed -i -e "s:CFLAGS=-O:CFLAGS=${CFLAGS}:" -e "s:check_tif_rule::" \
+ makefiles/Makefile.linux || die
+ sed -i -e "s:CFLAGS=-O:CFLAGS=${CFLAGS}:" \
+ -e "s:MOTIFDIR=/usr/local:MOTIFDIR=${EPREFIX}/usr:" \
+ -e "s:-lX11:-lX11 -lXmu -liconv:" \
+ -e "s:check_tif_rule::" \
+ makefiles/Makefile.macosx || die
+}
+
+src_compile() {
+ case "${CHOST}" in
+ *-darwin*)
+ emake CC="$(tc-getCC)" AR="$(tc-getAR)" macosx
+ ;;
+ *-linux*)
+ emake CC="$(tc-getCC)" AR="$(tc-getAR)" linux
+ ;;
+ esac
+ if use doc; then
+ emake VERSION="NEdit ${PV}" -C doc all
+ fi
+}
+
+src_install() {
+ dobin source/nedit
+ newbin source/nc neditc
+
+ make_desktop_entry "${PN}"
+ doicon "${WORKDIR}/${PN}.png"
+
+ if use doc; then
+ newman doc/nedit.man nedit.1
+ newman doc/nc.man neditc.1
+
+ dodoc README ReleaseNotes ChangeLog
+ dodoc doc/nedit.doc doc/NEdit.ad doc/faq.txt doc/nedit.html
+ fi
+}